# Collective2 General API

<p>📖 For full documentation, see the 
   <a href="https://trade.collective2.com/c2-api">Collective2 API Documentation</a>.
</p>

Version: v4

## Servers

```
https://api4-general.collective2.com
```

## Security

### bearerAuth

Authorization header using the Bearer scheme. e.g. 'Bearer myAPIkey'. See https://swagger.io/docs/specification/v3_0/authentication/bearer-authentication/

Type: http
Scheme: bearer
Bearer Format: Bearer myAPIkey

## Download OpenAPI description

[Collective2 General API](https://api-docs.collective2.com/_bundle/apis/general/swagger.yaml)

## Other

### GetAutotradedStrategies

 - [GET /Autotrade/GetAutotradedStrategies](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/getautotradedstrategies_get.md): Request the Autotraded strategies of the person. Paginated endpoint.

### GetAutotraders

 - [GET /Autotrade/GetAutotraders](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/getautotraders_get.md): A list of Autotraders. Paginated endpoint.

### GetAutotradeSettings

 - [GET /Autotrade/GetAutotradeSettings](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/getautotradesettings_get.md): The Autotrade Settings. Non-paginated endpoint.

### SetAutotradeSettings

 - [PUT /Autotrade/SetAutotradeSettings](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/setautotradesettings_put.md): Enable or disable Autotrade or Autosync in the specified account.

### GetDashBoard

 - [GET /Autotrade/GetDashBoard](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/getdashboard_get.md): Request the Person's Autotraded strategies and a performance summary. Non-paginated endpoint.

### SearchAccounts

 - [GET /Autotrade/SearchAccounts](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/searchaccounts_get.md): Request a list of Autotrade and Papertrade accounts. Partial matches will be returned. Paginated endpoint. Only visible to the account owner or White-label site owner

### GetAutotradeActiveOrders

 - [GET /Autotrade/GetAutotradeActiveOrders](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/getautotradeactiveorders_get.md): Request the Working orders of the Account. Non-paginated endpoint.

### GetAutotradeHistoricalOrders

 - [GET /Autotrade/GetAutotradeHistoricalOrders](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/getautotradehistoricalorders_get.md): Request the historical orders of the Account. Paginated endpoint.

### GetAutoTradeOpenPositions

 - [GET /Autotrade/GetAutoTradeOpenPositions](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/getautotradeopenpositions_get.md): Request the open positions of the Account. Non-paginated endpoint.

### NewAutotradeOrder

 - [POST /Autotrade/NewAutotradeOrder](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/newautotradeorder_post.md): Send a new closing order to the specified account. Only Stop and Limit OrderTypes are supported. Non-paginated endpoint.

### CancelAutotradeOrder

 - [DELETE /Autotrade/CancelAutotradeOrder](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/cancelautotradeorder_delete.md): Cancel an order in the specified account. Auto Stop-Loss orders are not currently supported. Non-paginated endpoint.

### ReplaceAutotradeOrder

 - [PUT /Autotrade/ReplaceAutotradeOrder](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/replaceautotradeorder_put.md): Cancel/Replace an open closing order in the specified account. Only strategy and manual exit orders are currently supported.

### GetBrokers

 - [GET /Autotrade/GetBrokers](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/getbrokers_get.md): Get a list of Autotrade brokers. Non-Paginated endpoint.

### StartAutotrade

 - [POST /Autotrade/StartAutotrade](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/startautotrade_post.md): Start or modify an Autotrade setup. Non-paginated endpoint.

### StopAutotrade

 - [DELETE /Autotrade/StopAutotrade](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/stopautotrade_delete.md): Stop a autotrade setup. Non-paginated endpoint.

### GetSimResults

 - [GET /Autotrade/GetSimResults](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/getsimresults_get.md): Return SIM trading results for all subscribers who are using “free sims.”. Non-Paginated endpoint.

### ResetPaperTrade

 - [PUT /Autotrade/ResetPaperTrade](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/resetpapertrade_put.md): Reset the specified PaperTrade account.

### SyncPositionsToOpen

 - [POST /Autotrade/SyncPositionsToOpen](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_autotrade/syncpositionstoopen_post.md): Reset the Autosync PositionsToOpen flags for all enabled asset classes in the specified account/strategy. Account will sync-to-open positions once for the strategy, then resume normal operation (i.e. sync open orders and the closing of positions).

### Hello

 - [POST /General/Hello](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_general/hello_post.md): Test endpoint that can be used to test your API Key, RateLimits, Headers, etc

### GetProfile

 - [GET /General/GetProfile](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_general/getprofile_get.md): Request details of a Person. Public profiles are visible to all. Private profile information will only be visible to the account owner. Non-paginated endpoint.

### SearchProfiles

 - [GET /General/SearchProfiles](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_general/searchprofiles_get.md): Search profiles using any field combination. Partial matches will be returned. Paginated endpoint. Only Admins, Geo and White-Label Admins can access this endpoint. If you're a GeoSite admin, you will see all your GeoSite members including your WhiteLabel members. If you're a WhiteLabel admin, you will see your WhiteLabel members, but not other GeoSite members. If you're neither, you will get a 403 error.

### UpdateProfile

 - [PUT /General/UpdateProfile](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_general/updateprofile_put.md): Update an existing C2 profile. Not available. Please contact us if you need this endpoint.

### GetInvestorPlanSubscriptions

 - [GET /General/GetInvestorPlanSubscriptions](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_general/getinvestorplansubscriptions_get.md): Request details of a Person's strategy subscriptions. Paginated endpoint

### GetManagerPlanSubscriptions

 - [GET /General/GetManagerPlanSubscriptions](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_general/getmanagerplansubscriptions_get.md): Request details of a Person's strategy manager subscriptions. Paginated endpoint

### GetSubscribedStrategies

 - [GET /General/GetSubscribedStrategies](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_general/getsubscribedstrategies_get.md): Request the subscribed strategies of the person. Paginated endpoint.

### GetAccessKey

 - [GET /General/GetAccessKey](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_general/getaccesskey_get.md): Get the requester's APIKey Role and expiration

### GetStrategyDetails

 - [GET /Strategies/GetStrategyDetails](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getstrategydetails_get.md): Request the strategy statistics. Non-paginated endpoint.

### SearchStrategies

 - [GET /Strategies/SearchStrategies](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/searchstrategies_get.md): Request a list of strategies available to the user. Paginated endpoint.

### GetLeaderBoard

 - [GET /Strategies/GetLeaderBoard](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getleaderboard_get.md): Request the curated public leaderboard of strategies. Non-Paginated endpoint.

### GetSubscribers

 - [GET /Strategies/GetSubscribers](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getsubscribers_get.md): Request the list of subscribers of a strategy and their subscrition history. Paginated endpoint.

### GetSubscriptionRevenue

 - [GET /Strategies/GetSubscriptionRevenue](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getsubscriptionrevenue_get.md): Request the subscriber revenue of a strategy. Paginated endpoint. You must provide at least one parameter other than Start/End date.

### NewStrategyOrder

 - [POST /Strategies/NewStrategyOrder](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/newstrategyorder_post.md): Send a new order for the strategy. Non-paginated endpoint.

### CancelStrategyOrder

 - [DELETE /Strategies/CancelStrategyOrder](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/cancelstrategyorder_delete.md): Cancel a order. Non-paginated endpoint.

### ReplaceStrategyOrder

 - [PUT /Strategies/ReplaceStrategyOrder](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/replacestrategyorder_put.md): Send a cancel/replace a order for the strategy. Non-paginated endpoint.

### GetStrategyActiveOrders

 - [GET /Strategies/GetStrategyActiveOrders](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getstrategyactiveorders_get.md): Request the open orders for the strategies. Non-paginated endpoint.

### GetStrategyOpenPositions

 - [GET /Strategies/GetStrategyOpenPositions](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getstrategyopenpositions_get.md): Request the open positions for the strategy. Non-paginated endpoint.

### GetStrategyHistoricalOrders

 - [GET /Strategies/GetStrategyHistoricalOrders](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getstrategyhistoricalorders_get.md): Returns the historical orders of the strategy. Paginated endpoint.

### AddStrategy

 - [POST /Strategies/AddStrategy](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/addstrategy_post.md): Create a new, empty, publicly visible strategy. Non-paginated endpoint.

### UpdateStrategy

 - [PUT /Strategies/UpdateStrategy](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/updatestrategy_put.md): Modify a strategy. Not available yet. Please contact us if you ened this endpoint. Non-paginated endpoint.

### GetStrategyHistoricalEquity

 - [GET /Strategies/GetStrategyHistoricalEquity](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getstrategyhistoricalequity_get.md): Returns monthly returns for the strategy. Non-paginated endpoint.

### GetStrategyHistoricalDailyEquity

 - [GET /Strategies/GetStrategyHistoricalDailyEquity](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getstrategyhistoricaldailyequity_get.md): Returns daily returns for the strategy. Non-paginated endpoint.

### GetStrategyHistoricalClosedTrades

 - [GET /Strategies/GetStrategyHistoricalClosedTrades](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getstrategyhistoricalclosedtrades_get.md): Returns the historical closed trades of the strategy. The difference between an order and a trade is trades group orders on 'tradeid', much like you would see on our web site. Non-paginated endpoint.

### SetDesiredPositions

 - [POST /Strategies/SetDesiredPositions](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/setdesiredpositions_post.md): The list of positions that must exist in the strategy. All C2 positions not in this list will be closed with market orders. Non-paginated endpoint.

### SetDesiredPositionsV2

 - [POST /v2/Strategies/SetDesiredPositions](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_v2/strategies/setdesiredpositions_post.md): The list of positions that must exist in the strategy. All C2 positions not in this list will be closed with market orders. Non-paginated endpoint.

### GetWatchLists

 - [GET /Strategies/GetWatchLists](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getwatchlists_get.md): Request all watchlists available to the user. Paginated endpoint.

### GetWatchListMembers

 - [GET /Strategies/GetWatchListMembers](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getwatchlistmembers_get.md): Request a list of strategies in the watchlist. Paginated endpoint.

### ManageWatchList

 - [POST /Strategies/ManageWatchList](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/managewatchlist_post.md): Edit watchlists and their members. Non-paginated endpoint.

### ManageWatchList

 - [DELETE /Strategies/ManageWatchList](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/managewatchlist_delete.md): Edit watchlists and their members. Non-paginated endpoint.

### GetSupportedSymbols

 - [GET /Strategies/GetSupportedSymbols](https://api-docs.collective2.com/apis/general/swagger/other/c2_api_strategies/getsupportedsymbols_get.md): Request a list of supported Futures and Forex symbols. All US stocks > $5 and all US equity options are supported by default so they will not be sent in the response. We will include a few non-standard stock symbols that require special C2 symbology. Paginated and cached endpoint.

